<template>
  <Container
    class="border-b-4 border-gray-300"
    :class="{ '!bg-stone-50 border-none': isArchived(data) }"
  >
    <section class="flex items-center text-lg font-light max-w-full">
      <section class="flex flex-auto items-center truncate">
        <span class="inline-flex justify-center items-center shrink-0 w-8 h-8 bg-gradient-to-l from-teal-400 to-cyan-500 text-white rounded-lg">
          <v-icon
            icon="mdi-cash"
            size="small"
          />
        </span>

        <span
          v-tooltip:top-start="{ text: data.name, openOnClick: true }"
          class="ml-2 max-w-full truncate"
        >
          {{ data.name }}
        </span>
      </section>

      <menu class="flex items-center ml-4">
        <EditRateForm
          v-if="!isArchived(data)"
          :data="data"
        />

        <ArchiveRateForm :data="data" />
      </menu>
    </section>

    <v-divider class="border-gray-800 my-4" />

    <section class="text-gray-500">
      <v-chip
        v-if="isArchived(data)"
        prepend-icon="mdi-archive-outline"
        class="text-amber-600 mr-2"
      >
        В архиве
      </v-chip>

      <v-chip prepend-icon="mdi-calendar-outline">
        {{ dt.display(data.createdAt) }}
      </v-chip>
    </section>

    <section class="mt-4">
      <ProfitDisplay :value="data.profit" />
    </section>
  </Container>
</template>

<script setup lang="ts">
import { useDateTime } from '@/composables';
import { isArchived } from '@/utils';

import EditRateForm from './EditRateForm.vue';
import ArchiveRateForm from './ArchiveRateForm.vue';

import ProfitDisplay from '@/components/content/ProfitDisplay.vue';
import Container from '@/components/layout/Container.vue';

defineProps<{ data: IRate }>();

const dt = useDateTime();
</script>